Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
sigevent Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
sigval_t | sigev_value
int | sigev_signo
int | sigev_notify
void(* | sigev_notify_function )(sigval_t)
pthread_attr_t * | sigev_notify_attributes

## Detailed Description

Definition at line 2086 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ sigev_notify

int sigevent::sigev_notify

Definition at line 2090 of file rb_mjit_min_header-2.7.0.h.

## ◆ sigev_notify_attributes

pthread_attr_t* sigevent::sigev_notify_attributes

Definition at line 2092 of file rb_mjit_min_header-2.7.0.h.

## ◆ sigev_notify_function

void(* sigevent::sigev_notify_function) (sigval_t)

Definition at line 2091 of file rb_mjit_min_header-2.7.0.h.

## ◆ sigev_signo

int sigevent::sigev_signo

Definition at line 2089 of file rb_mjit_min_header-2.7.0.h.

## ◆ sigev_value

sigval_t sigevent::sigev_value

Definition at line 2088 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h